Skip to main content
GET
Local POIs

Request contract

  • Method and path: GET /apis/v1/brave/local/pois
  • Availability: enabled
  • Request URL template: https://api.aisa.one/apis/v1/brave/local/pois
  • accept: header; optional
  • api-version: header; optional
  • cache-control: header; optional
  • user-agent: header; optional
  • x-loc-lat: header; optional
  • x-loc-long: header; optional
  • ids: query; required
  • search_lang: query; optional
  • ui_lang: query; optional
  • units: query; optional
  • Runtime facts: 8627d7bc05db287888574873d586ce7dca25f9fa7b4a266cb71760e824597bfc
Complete OpenAPI definition Effective request and pricing declaration (including authentication and referenced schemas):

Cost and request rules

Published reference price: $0.005 USD per successful request. Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.
  • Default request reference estimate (USD): 0.005
  • Cost contract: fixed_success
  • Published reference multiplier: 1.0
  • Settlement evidence source: request_snapshot

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

accept
enum<string>
default:application/json

The default supported media type is application/json.

Available options:
application/json,
*/*
Example:

"application/json"

api-version
string | null

The API version to use. This is denoted by the format YYYY-MM-DD. Default is the latest that is available. Read more about API versioning.

cache-control
enum<string> | null

Brave Search will return cached content by default. To prevent caching set the Cache-Control header to no-cache. This is currently done as best effort.

Available options:
no-cache
Allowed value: "no-cache"
user-agent
string | null

The user agent originating the request. Brave search can utilize the user agent to provide a different experience depending on the device as described by the string. The user agent should follow the commonly used browser agent strings on each platform. For more information on curating user agents, see RFC 9110.

x-loc-lat
number | null

The latitude of the client’s geographical location in degrees, to provide relevant local results. The latitude must be greater than or equal to -90.0 degrees and less than or equal to +90.0 degrees.

Required range: -90 <= x <= 90
x-loc-long
number | null

The longitude of the client’s geographical location in degrees, to provide relevant local results. The longitude must be greater than or equal to -180.0 and less than or equal to +180.0 degrees.

Required range: -180 <= x <= 180

Query Parameters

ids
string[]
required

A list of unique identifiers for the location. The ids are valid only for 8 hours.

Required array length: 1 - 20 elements
search_lang
enum<string>
default:en

The search language preference. The 2 or more character language code for which the search results are provided.

Available options:
ar,
eu,
bn,
bg,
ca,
zh-hans,
zh-hant,
hr,
cs,
da,
nl,
en,
en-gb,
et,
fi,
fr,
gl,
de,
el,
gu,
he,
hi,
hu,
is,
it,
ja,
jp,
kn,
ko,
lv,
lt,
ms,
ml,
mr,
nb,
pl,
pt-br,
pt-pt,
pa,
ro,
ru,
sr,
sk,
sl,
es,
sv,
ta,
te,
th,
tr,
uk,
vi
ui_lang
enum<string>
default:en-US

User interface language preferred in response. Usually of the format <language_code>-<country_code>. For more, see RFC 9110.

Available options:
es-AR,
en-AU,
de-AT,
nl-BE,
fr-BE,
pt-BR,
en-CA,
fr-CA,
es-CL,
da-DK,
fi-FI,
fr-FR,
de-DE,
el-GR,
zh-HK,
en-IN,
en-ID,
it-IT,
ja-JP,
ko-KR,
en-MY,
es-MX,
nl-NL,
en-NZ,
no-NO,
zh-CN,
pl-PL,
en-PH,
ru-RU,
en-ZA,
es-ES,
sv-SE,
fr-CH,
de-CH,
zh-TW,
tr-TR,
en-GB,
en-US,
es-US
units
enum<string> | null

The measurement units. The following values are supported:

  • metric - The standardized measurement system (km, celcius…)
  • imperial - The British Imperial system of units (mile, fahrenheit…)
Available options:
imperial,
metric

Response

Successful Response

results
(LocationResult · object | null)[] | null

The list of location results (POIs) for the given location identifiers.

A result that is location relevant.

type
enum<string>
default:local_pois
Available options:
local_pois
Allowed value: "local_pois"